const app = getApp()
import {
    meetingRoomDetailRq
} from "../../../api/meeting/meetingRoom.js"
Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        contentSwichFLag: true,
        meetingRoomId : null,
        detail: {},
        bannerList: [],
        mapData: {
            latitude: 33.601291,
            longitude: 119.031829,
            markers: [{
                id: 1,
                latitude: 33.601291,
                longitude: 119.031829,
                title: '淮安茂业天地购物中心'
            }]
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let _this = this;
        console.log('onLoad', options);
        let meetingRoomId = options.id;
        meetingRoomDetailRq(meetingRoomId).then(res => {
            console.log('meetingRoomDetailRq', res);
            _this.setData({
                meetingRoomId,
                detail: res.roomContent,
                bannerList: [res.roomContent.indoorPicUrl]
            })
        })
    },

    // 切换内容展示
    contentSwich() {
        console.log('contentSwich', 1);
        let _this = this;
        _this.setData({
            "contentSwichFLag": !_this.data.contentSwichFLag
        })
    },

    // 跳转空间设施
    jumpMeetingFacilities() {
        wx.navigateTo({
            url: '/pages/meeting/meetingRoom/meetingFacilities/meetingFacilities',
        })
    },

    // 跳转会议订单
    jumpMeetingOrder() {
        wx.navigateTo({
            url: "/pages/meeting/meetingRoom/meetingOrder/meetingOrder",
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})